package com.sqx.modules.message.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sqx.modules.message.entity.ActivityMessageInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author fang
 * @date 2020/7/9
 */
@Mapper
public interface ActivityMessageInfoDao extends BaseMapper<ActivityMessageInfo> {

    List<ActivityMessageInfo> find(@Param("state") String state);

    List<ActivityMessageInfo> findType(@Param("type") Integer type);

    List<ActivityMessageInfo> findTypeByUserId(@Param("type")String type,@Param("userId") String userId);

    Integer updateState(@Param("state") String state, @Param("id") Long id);

    Integer updateSendState(@Param("sendState") String sendState, @Param("id") Long id);


}
